
-- valors dels catalegs 
INSERT INTO GR_ESTATREVISIOEXT (ID, DESCRIPCIO) VALUES (1,'Satisfactori');
INSERT INTO GR_ESTATREVISIOEXT (ID, DESCRIPCIO) VALUES (2,'No Satisfactori');

INSERT INTO GR_ESTAT (ID, DESCRIPCIO) VALUES (1, 'Obert');
INSERT INTO GR_ESTAT (ID, DESCRIPCIO) VALUES (2, 'Mitigat');
INSERT INTO GR_ESTAT (ID, DESCRIPCIO) VALUES (3, 'Corregit');

INSERT INTO GR_ESTATMITIGACIO (ID, DESCRIPCIO, ID_ESTATFINAL) VALUES (1, 'Definida',1);
INSERT INTO GR_ESTATMITIGACIO (ID, DESCRIPCIO, ID_ESTATFINAL) VALUES (2, 'En Curs',1);
INSERT INTO GR_ESTATMITIGACIO (ID, DESCRIPCIO, ID_ESTATFINAL) VALUES (3, 'Implementada i Corregida',3);
INSERT INTO GR_ESTATMITIGACIO (ID, DESCRIPCIO, ID_ESTATFINAL) VALUES (4, 'Implementada i Mitigada',2);
INSERT INTO GR_ESTATMITIGACIO (ID, DESCRIPCIO, ID_ESTATFINAL) VALUES (5, 'Descartada',null);

INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (1, 'Acces Aplicacions');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (2, 'Compliment Procediments Interns');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (3, 'Acces Personal Extern');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (4, 'Contractes Proveïdors');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (5, 'Contractes Proveïdors Acces Remot');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (6, 'Permisos Usuaris Remots');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (7, 'Permisos Usuaris Interns');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (8, 'Procediments Entrega Suport Informàtic');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (9, 'Procediments Destrucció Suport Informàtic');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (10, 'Auditoria Ciberseguretat');
INSERT INTO GR_TIPUSCONTROL (ID, DESCRIPCIO) VALUES (11, 'Control Restricció Suport Externs');



INSERT INTO GR_ORIGEN (ID, DESCRIPCIO) VALUES (1, 'Auditoria Intena');
INSERT INTO GR_ORIGEN (ID, DESCRIPCIO) VALUES (2, 'Auditoria Externa');
INSERT INTO GR_ORIGEN (ID, DESCRIPCIO) VALUES (3, 'Autoevaluació');


INSERT INTO GR_CRITICITAT (ID, VALOR, DESCRIPCIO) VALUES (1, 1, 'Crític');
INSERT INTO GR_CRITICITAT (ID, VALOR, DESCRIPCIO) VALUES (2, 2, 'Moderat');
INSERT INTO GR_CRITICITAT (ID, VALOR, DESCRIPCIO) VALUES (3, 3, 'Baix');

INSERT INTO GR_IMPORTANCIA (ID, VALOR, DESCRIPCIO) VALUES (1, 1, 'Molt Important');
INSERT INTO GR_IMPORTANCIA (ID, VALOR, DESCRIPCIO) VALUES (2, 2, 'Important');
INSERT INTO GR_IMPORTANCIA (ID, VALOR, DESCRIPCIO) VALUES (3, 3, 'Poc Important');

-- errors
INSERT INTO GR_ERRORS_CATALEG (ERRCODE, ERRDESC) VALUES ('ERR_001', 'Valor no vàlid pel paràmetre entrada');
INSERT INTO GR_ERRORS_CATALEG (ERRCODE, ERRDESC) VALUES ('ERR_002', 'Modificació de dades - Acció no autoritzada');
INSERT INTO GR_ERRORS_CATALEG (ERRCODE, ERRDESC) VALUES ('ERR_003', 'Modificació de dades - El registre que es vol activar no existeix o ja esta activat');
INSERT INTO GR_ERRORS_CATALEG (ERRCODE, ERRDESC) VALUES ('ERR_004', 'Modificació de dades - Ja existeix un registre amb la mateixa descripcio');
INSERT INTO GR_ERRORS_CATALEG (ERRCODE, ERRDESC) VALUES ('ERR_005', 'Modificació de dades - El registre que es vol desactivar no existeix o ja esta desactivat');
INSERT INTO GR_ERRORS_CATALEG (ERRCODE, ERRDESC) VALUES ('ERR_006', 'Comprovació registre - El registre #N1# no existeix o esta desactivat');
INSERT INTO GR_ERRORS_CATALEG (ERRCODE, ERRDESC) VALUES ('ERR_007', 'Comprovació registre - La categoria no té cap departament assignat');
INSERT INTO GR_ERRORS_CATALEG (ERRCODE, ERRDESC) VALUES ('ERR_008', 'Modificació de dades - El registre que es vol modificar no existeix o esta desactivat');

