CREATE OR REPLACE PROCEDURE P_CREA_JOC_PROVES IS


  v_out varchar2(100);
  v_dept number;  
  v_resp number;
  v_dpt number;
  v_cat number;
  v_imp number;
  v_ci_id number;
  v_pers_id number;
  v_dpt_revisio number;
  v_dpt_execucio number;
  v_cod number;
  v_categoria number;
  v_origen number;
  v_criticitat number;
  v_estat number;
  v_revext number;
  v_accio number;
  v_accio_desc varchar2(200);
  reg_accio gr_accio%rowtype;
  v_revinterna number;
  v_ctrl number;
  v_responsable number;
  v_persona number;
  v_auditinterna number;
  v_revisioexterna number;
  v_rev_id number;
  reg_risc gr_risc%rowtype;
  v_risc_id number;
  v_risc_desc varchar2(200);
  v_risc_creacio date;
  v_id number;
  v_nom varchar2(200);
  v_auditexterna number;
  v_campanya number;
  v_control number;
  reg_revisio GR_REVISIO%ROWTYPE;


BEGIN


    -- ***************************************
    -- ALTA DEPARTAMENTS
    PKG_GR_DADES.P_DEPARTAMENT('A',null,'ECOFIN',v_out);
    PKG_GR_DADES.P_DEPARTAMENT('A',null,'SSI/TI',v_out);
    PKG_GR_DADES.P_DEPARTAMENT('A',null,'QUALITAT',v_out);
    PKG_GR_DADES.P_DEPARTAMENT('A',null,'I+D',v_out);
    PKG_GR_DADES.P_DEPARTAMENT('A',null,'ADMINISTRACIO',v_out);
    
    --PKG_GR_DADES.P_DEPARTAMENT('A',1,null,v_out);
    PKG_GR_DADES.P_DEPARTAMENT('A',null,'SERVEIS GENERALS',v_out);



  -- ***************************************
  -- ALTA PERSONAL
    SELECT ID INTO v_dept FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_PERSONA('A',null,'Ignasi','Tejon','Castro','11111111X',v_dept,v_out);  
    PKG_GR_DADES.P_PERSONA('A',null,'Marc','Ter','Stegen','2222X',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Andreas','Christensen',null,'3333x',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Marcos','Alonso',null,'4444X',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Jordi','Alba',null,'555X',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Sergi','Roberto',null,'666X',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Jules','Kounde',null,'7777X',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Eric','Garcia',null,'8888X',v_dept,v_out);
    
    
    SELECT ID INTO v_dept FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ECOFIN'; 
    PKG_GR_DADES.P_PERSONA('A',null,'Chadi','Riad',null,'999X',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Sergio','Busquets',null,'101010X',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Ansu','Fati',null,'1111k',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Franck','Kessié',null,'11111K',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Frenki','De Jong',null,'121212X',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Marc','Casadó',null,'131313K',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Pablo','Torre',null,'141414S',v_dept,v_out);
    
    SELECT ID INTO v_dept FROM GR_DEPARTAMENT WHERE DESCRIPCIO='QUALITAT'; 
    PKG_GR_DADES.P_PERSONA('A',null,'Aleix','Garrido','Cañizares','151515J',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Ousmane','Dembélé',null,'161616E',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Robert','Lewandowski',null,'171717P',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Ferran','Torres',null,'181818W',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Alejandro','Balde',null,'191919Q',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Ilias','Akhomach',null,'202020O',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Angel','Alarcon','Galiot','212121I',v_dept,v_out);
    
    SELECT ID INTO v_dept FROM GR_DEPARTAMENT WHERE DESCRIPCIO='I+D'; 
    PKG_GR_DADES.P_PERSONA('A',null,'Estanislau','Pedrola','Fortuny','222222A',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Carles','Aleña',null,'232323B',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Segiño','Dest',null,'242424B',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Alex','Valle','Gomez','252525V',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Clement','Lenglet',null,'262626V',v_dept,v_out);
    
    SELECT ID INTO v_dept FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO'; 
    PKG_GR_DADES.P_PERSONA('A',null,'Samuel','Umtiti',null,'272727Z',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Alex','Collado',null,'282828S',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Nico','Gonzalez',null,'292929C',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Antoine','Griezmann',null,'303030X',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Ez','Abde',null,'313131R',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Francisco','Trincao',null,'323232T',v_dept,v_out);
    
    
    SELECT ID INTO v_dept FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SERVEIS GENERALS'; 
    PKG_GR_DADES.P_PERSONA('A',null,'Xavi','Hernandez',null,'333333Q',v_dept,v_out);
    PKG_GR_DADES.P_PERSONA('A',null,'Oscar','Hernandez',null,'343434Q',v_dept,v_out);


    -- ***************************************
    -- ASSIGNA RESPONSABLE PER CATEGORIA
    SELECT ID INTO v_resp FROM GR_PERSONA WHERE DOCUMENT='2222X'; 
    PKG_GR_DADES.P_CATEGORIA('A',null,'CIBERSEGURETAT',v_resp,v_out);
    SELECT ID INTO v_resp FROM GR_PERSONA WHERE DOCUMENT='121212X'; 
    PKG_GR_DADES.P_CATEGORIA('A',null,'SEGURETAT INSTAL·LACIONS',v_resp,v_out);
    SELECT ID INTO v_resp FROM GR_PERSONA WHERE DOCUMENT='3333x'; 
    PKG_GR_DADES.P_CATEGORIA('A',null,'APLICACIONS INFORMATIQUES',v_resp,v_out);
    SELECT ID INTO v_resp FROM GR_PERSONA WHERE DOCUMENT='161616E'; 
    PKG_GR_DADES.P_CATEGORIA('A',null,'FINANCES',v_resp,v_out);
    
    PKG_GR_DADES.P_CATEGORIA('A',null,'RGPD',null,v_out);



    -- ***************************************
    -- ASSIGNA CATEGORIES A DEPARTAMENTS
    SELECT ID INTO v_dpt FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='CIBERSEGURETAT'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='RGPD'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='FINANCES'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='APLICACIONS INFORMATIQUES'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);
    
    SELECT ID INTO v_dpt FROM GR_DEPARTAMENT WHERE DESCRIPCIO='I+D'; 
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='CIBERSEGURETAT'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='APLICACIONS INFORMATIQUES'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);

    SELECT ID INTO v_dpt FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SERVEIS GENERALS'; 
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='SEGURETAT INSTAL·LACIONS'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);

    SELECT ID INTO v_dpt FROM GR_DEPARTAMENT WHERE DESCRIPCIO='QUALITAT'; 
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='APLICACIONS INFORMATIQUES'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='RGPD'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);

    SELECT ID INTO v_dpt FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO'; 
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='CIBERSEGURETAT'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='FINANCES'; 
    PKG_GR_DADES.P_DEPARTAMENT_CATEGORIA('A',v_dpt,v_cat,v_out);


    -- ***************************************
    -- ASSIGNA IMPORTANCIES A CATEGORIES
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='CIBERSEGURETAT'; 
    SELECT ID INTO v_imp FROM GR_IMPORTANCIA WHERE DESCRIPCIO='Molt Important'; 
    PKG_GR_DADES.P_CATEGORIA_IMPORTANCIA('A',v_cat,v_imp,v_out);
    
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='APLICACIONS INFORMATIQUES';
    SELECT ID INTO v_imp FROM GR_IMPORTANCIA WHERE DESCRIPCIO='Molt Important'; 
    PKG_GR_DADES.P_CATEGORIA_IMPORTANCIA('A',v_cat,v_imp,v_out);
    
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='RGPD';
    SELECT ID INTO v_imp FROM GR_IMPORTANCIA WHERE DESCRIPCIO='Important'; 
    PKG_GR_DADES.P_CATEGORIA_IMPORTANCIA('A',v_cat,v_imp,v_out);

    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='SEGURETAT INSTAL·LACIONS';
    SELECT ID INTO v_imp FROM GR_IMPORTANCIA WHERE DESCRIPCIO='Poc Important'; 
    PKG_GR_DADES.P_CATEGORIA_IMPORTANCIA('A',v_cat,v_imp,v_out);
    
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='FINANCES';
    PKG_GR_DADES.P_CATEGORIA_IMPORTANCIA('A',v_cat,v_imp,v_out);
    SELECT ID INTO v_imp FROM GR_IMPORTANCIA WHERE DESCRIPCIO='Important'; 

    

    -- ***************************************
    -- ASSIGNA PERSONES A CONTROLINTERN
    PKG_GR_DADES.P_CONTROLINTERN ('A',null,'Equip CtrlIntern Aplicacions Informàtiques',v_out);
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO='Equip CtrlIntern Aplicacions Informàtiques';
    PKG_GR_DADES.P_CONTROLINTERN ('A',v_ci_id,'Equip CtrlIntern Aplicacions Informàtiques',v_out);
    PKG_GR_DADES.P_CONTROLINTERN ('M',v_ci_id,'Equip CtrlIntern Aplicacions Informàtiques',v_out);
    PKG_GR_DADES.P_CONTROLINTERN ('B',v_ci_id,'Equip CtrlIntern Aplicacions Informàtiques',v_out);
    PKG_GR_DADES.P_CONTROLINTERN ('A',v_ci_id,'Equip CtrlIntern Aplicacions Informàtiques',v_out);
    
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='171717P'; 
    --PKG_GR_DADES.P_CONTROLINTERN_PERSONA('B',v_ci_id,v_pers_id,v_out);
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);
    
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='333333Q'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='343434Q'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);




    -- nou equip legal
    PKG_GR_DADES.P_CONTROLINTERN ('A',null,'Equip CtrlIntern Legal',v_out);
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO='Equip CtrlIntern Legal';
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='212121I'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='222222A'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='232323B'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);

    -- nou equip administratiu
    PKG_GR_DADES.P_CONTROLINTERN ('A',null,'Equip CtrlIntern Administracio',v_out);
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO='Equip CtrlIntern Administracio';
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='252525V'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='282828S'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='292929C'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='303030X'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);


    -- nou equip ssi/ti
    PKG_GR_DADES.P_CONTROLINTERN ('A',null,'Equip CtrlIntern SSI/TI',v_out);
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO='Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='202020O'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='212121I'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='222222A'; 
    PKG_GR_DADES.P_CONTROLINTERN_PERSONA('A',v_ci_id,v_pers_id,v_out);




    -- ***************************************
    -- ASSIGNA ELS DEPARTAMENTS IMPLICATS A CONTROLINTERN / EQUIPS
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO='Equip CtrlIntern Legal';
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='SEGURETAT INSTAL·LACIONS';
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='FINANCES';   
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='RGPD';
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='APLICACIONS INFORMATIQUES';
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);





    -- ASSIGNA ELS DEPARTAMENTS IMPLICATS A CONTROLINTERN / EQUIPS
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO='Equip CtrlIntern Administracio';
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='SEGURETAT INSTAL·LACIONS';
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='FINANCES';   
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='RGPD';
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='APLICACIONS INFORMATIQUES';
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);

    -- ASSIGNA ELS DEPARTAMENTS IMPLICATS A CONTROLINTERN / EQUIPS
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO='Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='CIBERSEGURETAT';
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);
    SELECT ID INTO v_cat FROM GR_CATEGORIA WHERE DESCRIPCIO='APLICACIONS INFORMATIQUES';
    PKG_GR_DADES.P_CONTROLINTERN_DPTOS_IMPLICATS('A',v_ci_id,v_cat,v_out);





    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Acces Aplicacions';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Permisos Informàtics', TO_DATE('02/01/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Compliment Procediments Interns';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Administracio';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='QUALITAT';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Procediments Interns', TO_DATE('01/02/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Acces Personal Extern';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Administracio';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='QUALITAT';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SERVEIS GENERALS'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Accés Instal·lacions', TO_DATE('01/03/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Contractes Proveïdors';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='QUALITAT';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Contractes', TO_DATE('01/04/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Contractes Proveïdors Acces Remot';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Accessos Externs Proveïdors', TO_DATE('01/05/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Permisos Usuaris Remots';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Permisos Usuaris Remots', TO_DATE('01/06/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Permisos Usuaris Interns';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Permisos Usuaris Interns', TO_DATE('01/07/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Procediments Entrega Suport Informàtic';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Procediment Entrega Suport Informàtic', TO_DATE('01/08/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Procediments Destrucció Suport Informàtic';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Procediment Destrucció Suport', TO_DATE('01/09/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Auditoria Ciberseguretat';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Auditoria Ciberseguretat', TO_DATE('01/10/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Control Restricció Suport Externs';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Excepcions de Seguretat', TO_DATE('01/11/2020','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);


    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Acces Aplicacions';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Permisos Informàtics - 21', TO_DATE('02/01/2021','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Compliment Procediments Interns';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Administracio';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='QUALITAT';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Procediments Interns - 21', TO_DATE('01/02/2021','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Acces Personal Extern';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Administracio';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='QUALITAT';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SERVEIS GENERALS'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Accés Instal·lacions - 21', TO_DATE('01/03/2021','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Contractes Proveïdors';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='QUALITAT';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Contractes - 21', TO_DATE('01/04/2021','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Contractes Proveïdors Acces Remot';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Accessos Externs Proveïdors - 22', TO_DATE('01/05/2022','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Permisos Usuaris Remots';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Permisos Usuaris Remots - 22', TO_DATE('01/06/2022','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Permisos Usuaris Interns';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern SSI/TI';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Permisos Usuaris Interns - 22', TO_DATE('01/07/2022','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);
    
    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Procediments Entrega Suport Informàtic';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Proc. Entrega Suport Informàtic - 22', TO_DATE('01/08/2022','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Procediments Destrucció Suport Informàtic';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Procediment Destrucció Suport - 23', TO_DATE('01/01/2023','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Auditoria Ciberseguretat';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Auditoria Ciberseguretat - 23', TO_DATE('01/02/2023','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);

    SELECT ID INTO v_cat FROM GR_TIPUSCONTROL WHERE DESCRIPCIO = 'Control Restricció Suport Externs';
    SELECT ID INTO v_ci_id FROM GR_CONTROLINTERN WHERE DESCRIPCIO = 'Equip CtrlIntern Legal';
    SELECT ID INTO v_dpt_revisio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_dpt_execucio FROM GR_DEPARTAMENT WHERE DESCRIPCIO='SSI/TI'; 
    PKG_GR_DADES.P_CONTROL_CONTROLINTERN ('A', NULL, 'Revisió Excepcions de Seguretat - 23', TO_DATE('01/03/2023','DD/MM/YYYY'), v_cat, v_ci_id, v_dpt_revisio, v_dpt_execucio, v_out);



    PKG_GR_DADES.P_CAMPANYA('A',NULL,'CAMPANYA 2020 - 1QT', TO_DATE('01/01/2020','DD/MM/YYYY'), TO_DATE('30/04/2020','DD/MM/YYYY'), NULL, v_out);
    PKG_GR_DADES.P_CAMPANYA('A',NULL,'CAMPANYA 2020 - 2QT', TO_DATE('01/05/2020','DD/MM/YYYY'), TO_DATE('30/08/2020','DD/MM/YYYY'), NULL, v_out);
    PKG_GR_DADES.P_CAMPANYA('A',NULL,'CAMPANYA 2020 - 3QT', TO_DATE('01/09/2020','DD/MM/YYYY'), TO_DATE('31/12/2020','DD/MM/YYYY'), NULL, v_out);
    
    PKG_GR_DADES.P_CAMPANYA('A',NULL,'CAMPANYA 2021 - 1QT', TO_DATE('01/01/2021','DD/MM/YYYY'), TO_DATE('30/04/2021','DD/MM/YYYY'), NULL, v_out);

    PKG_GR_DADES.P_CAMPANYA('A',NULL,'CAMPANYA 2022 - 2QT', TO_DATE('01/05/2022','DD/MM/YYYY'), TO_DATE('30/08/2022','DD/MM/YYYY'), NULL, v_out);

    PKG_GR_DADES.P_CAMPANYA('A',NULL,'CAMPANYA 2023 - 1QT', TO_DATE('01/01/2023','DD/MM/YYYY'), TO_DATE('30/04/2023','DD/MM/YYYY'), NULL, v_out);






    SELECT ID INTO v_campanya FROM GR_CAMPANYA WHERE DESCRIPCIO = 'CAMPANYA 2020 - 1QT';
    FOR I IN (SELECT ID FROM GR_CONTROL WHERE TO_CHAR(DCREACIO,'YYYY/MM') IN ('2020/01','2020/02','2020/03','2020/04') ) LOOP
        v_control := I.ID;
        PKG_GR_DADES.P_CAMPANYA_CONTROL('A',v_campanya,v_control, v_out);        
    END LOOP;
    

    SELECT ID INTO v_campanya FROM GR_CAMPANYA WHERE DESCRIPCIO = 'CAMPANYA 2020 - 2QT';
    FOR I IN (SELECT ID FROM GR_CONTROL WHERE TO_CHAR(DCREACIO,'YYYY/MM') IN ('2020/05','2020/06','2020/07','2020/08') ) LOOP
        v_control := I.ID;
        PKG_GR_DADES.P_CAMPANYA_CONTROL('A',v_campanya,v_control, v_out);        
    END LOOP;  
    
    

    SELECT ID INTO v_campanya FROM GR_CAMPANYA WHERE DESCRIPCIO = 'CAMPANYA 2020 - 3QT';
    FOR I IN (SELECT ID FROM GR_CONTROL WHERE TO_CHAR(DCREACIO,'YYYY/MM') IN ('2020/09','2020/10','2020/11','2020/12') ) LOOP
        v_control := I.ID;
        PKG_GR_DADES.P_CAMPANYA_CONTROL('A',v_campanya,v_control, v_out);        
    END LOOP;    
    SELECT ID INTO v_campanya FROM GR_CAMPANYA WHERE DESCRIPCIO = 'CAMPANYA 2021 - 1QT';
    FOR I IN (SELECT ID FROM GR_CONTROL WHERE TO_CHAR(DCREACIO,'YYYY/MM') IN ('2021/01','2021/02','2021/03','2021/04') ) LOOP
        v_control := I.ID;
        PKG_GR_DADES.P_CAMPANYA_CONTROL('A',v_campanya,v_control, v_out);        
    END LOOP; 
    SELECT ID INTO v_campanya FROM GR_CAMPANYA WHERE DESCRIPCIO = 'CAMPANYA 2022 - 2QT';
    FOR I IN (SELECT ID FROM GR_CONTROL WHERE TO_CHAR(DCREACIO,'YYYY/MM') IN ('2022/05','2022/06','2022/07','2022/08') ) LOOP
        v_control := I.ID;
        PKG_GR_DADES.P_CAMPANYA_CONTROL('A',v_campanya,v_control, v_out);        
    END LOOP; 
    SELECT ID INTO v_campanya FROM GR_CAMPANYA WHERE DESCRIPCIO = 'CAMPANYA 2023 - 1QT';
    FOR I IN (SELECT ID FROM GR_CONTROL WHERE TO_CHAR(DCREACIO,'YYYY/MM') IN ('2023/01','2023/02','2023/03','2023/04') ) LOOP
        v_control := I.ID;
        PKG_GR_DADES.P_CAMPANYA_CONTROL('A',v_campanya,v_control, v_out);        
    END LOOP; 




    -- ***************************************
    -- *********** (1)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Contractes' AND DBAIXA IS NULL;
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='333333Q'; 
    PKG_GR_DADES.P_RISC('A', NULL, 'Contractes Proveïdors - Reglament RGPD', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Definida'; 
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='272727Z'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Contractes Proveïdors - Reglament RGPD'; 

    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors dpt SSI','Revisar contractes proveïdors dpt SSI',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors dpt SSGG','Revisar contractes proveïdors dpt SSGG',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors dpt Administració','Revisar contractes proveïdors dpt Administració',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors altres departaments','Revisar contractes proveïdors altres departaments',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors dpt SSI'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar contractes proveïdors dpt SSI','Revisar contractes proveïdors dpt SSI',v_risc_creacio, v_risc_creacio + 60, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors dpt SSGG'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar contractes proveïdors dpt SSGG','Revisar contractes proveïdors dpt SSGG',v_risc_creacio, v_risc_creacio + 60, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors dpt Administració'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar contractes proveïdors dpt Administració','Revisar contractes proveïdors dpt Administració',v_risc_creacio, v_risc_creacio + 62, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors altres departaments'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar contractes proveïdors altres departaments','Revisar contractes proveïdors altres departaments',v_risc_creacio, v_risc_creacio + 63, v_estat,v_responsable,v_risc_id,v_out);


    -- *********** (2)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Permisos Informàtics' AND DBAIXA IS NULL;
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'APLICACIONS INFORMATIQUES';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='333333Q'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Accés a la Informació', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='272727Z'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Accés a la Informació'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Permisos Usuaris - Sistema Fitxers','Revisar Permisos Usuaris - Sistema Fitxers',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Permisos Usuaris - Aplicacions','Revisar Permisos Usuaris - Aplicacions',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Accés a la Informació';
    
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Permisos Usuaris - Sistema Fitxers'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Permisos Usuaris - Sistema Fitxers','Revisar Permisos Usuaris - Sistema Fitxers',v_risc_creacio, v_risc_creacio + 63, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Permisos Usuaris - Sistema Fitxers'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Permisos Usuaris - Aplicacions','Revisar Permisos Usuaris - Aplicacions',v_risc_creacio, v_risc_creacio+5,v_estat,v_responsable,v_risc_id,v_out);


    -- *********** (3)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Auditoria Ciberseguretat' AND DBAIXA IS NULL;
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'CIBERSEGURETAT';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111111X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Revisió Infraestructura - Ciberseguretat', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111111X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Revisió Infraestructura - Ciberseguretat'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Xarxa Corporativa','Revisar Xarxa Corporativa',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Informe Ciberseguretat','Revisar Informe Ciberseguretat',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Accesos Remots','Revisar Accesos Remots',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Alertes Infraestructura','Revisar Alertes Infraestructura',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Xarxa Corporativa'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Xarxa Corporativa','Revisar Xarxa Corporativa',v_risc_creacio, v_risc_creacio + 63, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Informe Ciberseguretat'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Informe Ciberseguretat','Revisar Informe Ciberseguretat',v_risc_creacio, v_risc_creacio+15,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Accesos Remots'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Accesos Remots','Revisar Accesos Remots',v_risc_creacio, v_risc_creacio+4,v_estat,v_responsable,v_risc_id,v_out);
    
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Alertes Infraestructura'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Alertes Infraestructura','Revisar Alertes Infraestructura',v_risc_creacio, v_risc_creacio+25,v_estat,v_responsable,v_risc_id,v_out);


    -- ***********(4)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Excepcions de Seguretat' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'CIBERSEGURETAT';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111111X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Revisió Excepcions de Seguretat - Ciberseguretat', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111111X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Revisió Excepcions de Seguretat - Ciberseguretat'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisio Documentació Exceptions','Revisio Documentació Exceptions',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisio Logs Infraestructura d''Exceptions','Revisio Logs Infraestructura d''Exceptions',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisio Documentació Exceptions'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisio Documentació Exceptions','Revisio Documentació Exceptions',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisio Logs Infraestructura d''Exceptions'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisio Logs Infraestructura d''Exceptions','Revisio Logs Infraestructura d''Exceptions',v_risc_creacio, v_risc_creacio+15,v_estat,v_responsable,v_risc_id,v_out);


    -- ***********(5)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Accés Instal·lacions' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'SEGURETAT INSTAL·LACIONS';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Moderat';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='2222X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Seguretat Física - Accés Instal·lacions', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='2222X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Seguretat Física - Accés Instal·lacions'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Protocol d''Accés Instal·lacions','Revisió Protocol d''Accés Instal·lacions',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Protocol d''Accés Instal·lacions'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Protocol d''Accés Instal·lacions','Revisió Protocol d''Accés Instal·lacions',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);


    -- *********** (6)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Accessos Externs Proveïdors' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'APLICACIONS INFORMATIQUES';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111K'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Accessos Proveïdors - Accés a la informació', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111K'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Accessos Proveïdors - Accés a la informació'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Accesos Aplicacions','Revisió Accesos Aplicacions',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Accesos Infraestructura','Revisió Accesos Infraestructura',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);


    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Accesos Aplicacions'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Accesos Aplicacions','Revisió Accesos Aplicacions',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Descartada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Accesos Infraestructura'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Accesos Infraestructura','Revisió Accesos Infraestructura',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);




    -- *********** (7)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Permisos Usuaris Interns' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Usuaris Interns - Accés a la informació', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Usuaris Interns - Accés a la informació'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Accesos Aplicacions Users Interns','Revisió Accesos Aplicacions Users Interns',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Accesos Informació Users Interns','Revisió Accesos Informació Users Interns',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);


    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Accesos Aplicacions Users Interns'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Accesos Aplicacions Users Interns','Revisió Accesos Aplicacions Users Interns',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Accesos Informació Users Interns'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Accesos Informació Users Interns','Revisió Accesos Informació Users Interns',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);


    -- *********** (8)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Procediment Entrega Suport Informàtic' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Usuaris - Control Entrega Dispositius', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Usuaris - Control Entrega Dispositius'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Procediment Intern Provisionament','Revisió Procediment Intern Provisionament',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Procediment Intern Provisionament'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Procediment Intern Provisionament','Revisió Procediment Intern Provisionament',v_risc_creacio, v_risc_creacio + 7, v_estat,v_responsable,v_risc_id,v_out);



    -- ***********(9)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Procediment Destrucció Suport' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Usuaris - Control Destrucció Dispositius', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Usuaris - Control Destrucció Dispositius'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Procediment Intern Destrucció Material Infor.','Revisió Procediment Intern Destrucció Material Infor.',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Procediment Intern Destrucció Material Infor.'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Procediment Intern Destrucció Material Infor.','Revisió Procediment Intern Destrucció Material Infor.',v_risc_creacio, v_risc_creacio + 7, v_estat,v_responsable,v_risc_id,v_out);




    -- *********** (10)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Procediments Interns - 21' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='333333Q'; 
    PKG_GR_DADES.P_RISC('A', NULL, 'Contractes Proveïdors - Reglament RGPD - 21', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Definida'; 
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='272727Z'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Contractes Proveïdors - Reglament RGPD'; 

    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors dpt SSI - 21','Revisar contractes proveïdors dpt SSI - 21',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors dpt SSGG - 21','Revisar contractes proveïdors dpt SSGG - 21',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors dpt Administració - 21','Revisar contractes proveïdors dpt Administració - 21',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors altres departaments - 21','Revisar contractes proveïdors altres departaments - 21',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors dpt SSI - 21'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar contractes proveïdors dpt SSI - 21','Revisar contractes proveïdors dpt SSI - 21',v_risc_creacio, v_risc_creacio + 60, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors dpt SSGG - 21'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar contractes proveïdors dpt SSGG - 21','Revisar contractes proveïdors dpt SSGG - 21',v_risc_creacio, v_risc_creacio + 60, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors dpt Administració - 21'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar contractes proveïdors dpt Administració - 21','Revisar contractes proveïdors dpt Administració - 21',v_risc_creacio, v_risc_creacio + 62, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors altres departaments - 21'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar contractes proveïdors altres departaments - 21','Revisar contractes proveïdors altres departaments - 21',v_risc_creacio, v_risc_creacio + 63, v_estat,v_responsable,v_risc_id,v_out);



    -- ***********(11)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Contractes - 21' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='333333Q'; 
    PKG_GR_DADES.P_RISC('A', NULL, 'Contractes Proveïdors - Reglament RGPD - 21(1)', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Definida'; 
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='272727Z'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Contractes Proveïdors - Reglament RGPD - 21(1)'; 

    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors dpt SSI - 21(1)','Revisar contractes proveïdors dpt SSI - 21(1)',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors dpt SSGG - 21(1)','Revisar contractes proveïdors dpt SSGG - 21(1)',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors dpt Administració - 21(1)','Revisar contractes proveïdors dpt Administració - 21(1)',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar contractes proveïdors altres departaments - 21(1)','Revisar contractes proveïdors altres departaments - 21(1)',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Descartada'; 
    SELECT ID, DESCRIPCIO INTO v_accio, v_accio_desc FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors dpt SSI - 21(1)'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,v_accio_desc,v_accio_desc,v_risc_creacio, v_risc_creacio + 41, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Descartada'; 
    SELECT ID, DESCRIPCIO INTO v_accio, v_accio_desc FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors dpt SSGG - 21(1)'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,v_accio_desc,v_accio_desc,v_risc_creacio, v_risc_creacio + 60, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Descartada'; 
    SELECT ID, DESCRIPCIO INTO v_accio, v_accio_desc FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors dpt Administració - 21(1)'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,v_accio_desc,v_accio_desc,v_risc_creacio, v_risc_creacio + 62, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Descartada'; 
    SELECT ID, DESCRIPCIO INTO v_accio, v_accio_desc FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar contractes proveïdors altres departaments - 21(1)'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,v_accio_desc,v_accio_desc,v_risc_creacio, v_risc_creacio + 63, v_estat,v_responsable,v_risc_id,v_out);



    -- *********** (12)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Accessos Externs Proveïdors - 22' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'APLICACIONS INFORMATIQUES';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111K'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Accessos Proveïdors - Accés a la informació - 22', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111K'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Accessos Proveïdors - Accés a la informació - 22'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Accesos Aplicacions - 22','Revisió Accesos Aplicacions - 22',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Accesos Infraestructura - 22','Revisió Accesos Infraestructura - 22',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);


    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Accesos Aplicacions - 22'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Accesos Aplicacions - 22','Revisió Accesos Aplicacions - 22',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Descartada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Accesos Infraestructura - 22'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Accesos Infraestructura - 22','Revisió Accesos Infraestructura - 22',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);


    -- ***********(13)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Procediment Destrucció Suport - 23' AND DBAIXA IS NULL;
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Usuaris - Control Destrucció Dispositius - 23', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Usuaris - Control Destrucció Dispositius'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Procediment Intern Destrucció Material Infor. - 23','Revisió Procediment Intern Destrucció Material Infor. - 23',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Procediment Intern Destrucció Material Infor. - 23'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Procediment Intern Destrucció Material Infor. - 23','Revisió Procediment Intern Destrucció Material Infor. - 23',v_risc_creacio, v_risc_creacio + 7, v_estat,v_responsable,v_risc_id,v_out);


    -- ***********(14)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Auditoria Ciberseguretat - 23' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'CIBERSEGURETAT';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111111X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Revisió Infraestructura - Ciberseguretat - 23', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111111X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Revisió Infraestructura - Ciberseguretat - 23'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Xarxa Corporativa - 23','Revisar Xarxa Corporativa - 23',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Informe Ciberseguretat - 23','Revisar Informe Ciberseguretat - 23',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Accesos Remots - 23','Revisar Accesos Remots - 23',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Alertes Infraestructura - 23','Revisar Alertes Infraestructura - 23',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Xarxa Corporativa - 23'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Xarxa Corporativa - 23','Revisar Xarxa Corporativa - 23',v_risc_creacio, v_risc_creacio + 63, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Informe Ciberseguretat - 23'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Informe Ciberseguretat - 23','Revisar Informe Ciberseguretat - 23',v_risc_creacio, v_risc_creacio+15,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Accesos Remots - 23'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Accesos Remots - 23','Revisar Accesos Remots - 23',v_risc_creacio, v_risc_creacio+4,v_estat,v_responsable,v_risc_id,v_out);
    
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Alertes Infraestructura - 23'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Alertes Infraestructura - 23','Revisar Alertes Infraestructura - 23',v_risc_creacio, v_risc_creacio+25,v_estat,v_responsable,v_risc_id,v_out);


    -- ***********(15)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Permisos Informàtics - 21' AND DBAIXA IS NULL;
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'APLICACIONS INFORMATIQUES';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='333333Q'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Accés a la Informació - 21', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='272727Z'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Accés a la Informació - 21'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Permisos Usuaris - Sistema Fitxers - 21','Revisar Permisos Usuaris - Sistema Fitxers - 21',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisar Permisos Usuaris - Aplicacions - 21','Revisar Permisos Usuaris - Aplicacions - 21',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Accés a la Informació - 21';
    
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Permisos Usuaris - Sistema Fitxers - 21'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Permisos Usuaris - Sistema Fitxers - 21','Revisar Permisos Usuaris - Sistema Fitxers - 21',v_risc_creacio, v_risc_creacio + 63, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Corregida'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisar Permisos Usuaris - Sistema Fitxers - 21'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisar Permisos Usuaris - Aplicacions - 21','Revisar Permisos Usuaris - Aplicacions - 21',v_risc_creacio, v_risc_creacio+5,v_estat,v_responsable,v_risc_id,v_out);




    -- ***********(16)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Accés Instal·lacions - 21' AND DBAIXA IS NULL;
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'SEGURETAT INSTAL·LACIONS';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Moderat';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='2222X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Seguretat Física - Accés Instal·lacions - 21', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='2222X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Seguretat Física - Accés Instal·lacions - 21'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Protocol d''Accés Instal·lacions - 21','Revisió Protocol d''Accés Instal·lacions - 21',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Protocol d''Accés Instal·lacions - 21'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Protocol d''Accés Instal·lacions - 21','Revisió Protocol d''Accés Instal·lacions - 21',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);

    -- ***********(17)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Permisos Usuaris Remots - 22' AND DBAIXA IS NULL;
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Usuaris Remots Revisió - 22', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);



    -- ***********(18)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Permisos Usuaris Interns - 22' AND DBAIXA IS NULL;
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Usuaris Interns - Accés a la informació - 22', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Usuaris Interns - Accés a la informació - 22'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Accesos Aplicacions Users Interns - 22','Revisió Accesos Aplicacions Users Interns - 22',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Accesos Informació Users Interns - 22','Revisió Accesos Informació Users Interns - 22',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);


    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Accesos Aplicacions Users Interns - 22'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Accesos Aplicacions Users Interns - 22','Revisió Accesos Aplicacions Users Interns - 22',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Accesos Informació Users Interns - 22'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisió Accesos Informació Users Interns - 22','Revisió Accesos Informació Users Interns - 22',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);


    -- ***********(19)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Proc. Entrega Suport Informàtic - 22' AND DBAIXA IS NULL;

    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='101010X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Entrega Suport Informàtic - 22', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- ***********(20)
    SELECT ID, DCREACIO INTO v_ctrl, v_risc_creacio FROM GR_CONTROL WHERE DESCRIPCIO = 'Revisió Excepcions de Seguretat - 23' AND DBAIXA IS NULL;
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'CIBERSEGURETAT';
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Autoevaluació';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Crític';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    v_revext := Null;
    v_accio := Null;
    v_revinterna := Null;
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111111X'; 

    PKG_GR_DADES.P_RISC('A', NULL, 'Revisió Excepcions de Seguretat - Ciberseguretat - 23', v_risc_creacio, NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revext, v_accio, v_revinterna, v_ctrl, v_responsable, v_out);


    -- DEFINICIÓ DE LES ACCIONS - MITIGACIONS (SOBRE RISC - AUDITORIA INTERNA)
    
    SELECT ID INTO v_responsable FROM GR_PERSONA WHERE DOCUMENT='11111111X'; 
    SELECT ID INTO v_risc_id FROM GR_RISC WHERE DESCRIPCIO = 'Revisió Excepcions de Seguretat - Ciberseguretat - 23'; 

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisio Documentació Exceptions - 23','Revisio Documentació Exceptions - 23',v_risc_creacio, NULL, v_estat,v_responsable,v_risc_id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisio Logs Infraestructura d''Exceptions - 23','Revisio Logs Infraestructura d''Exceptions - 23',v_risc_creacio, NULL,v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisio Documentació Exceptions - 23'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisio Documentació Exceptions - 23','Revisio Documentació Exceptions - 23',v_risc_creacio, v_risc_creacio + 47, v_estat,v_responsable,v_risc_id,v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT ID INTO v_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisio Logs Infraestructura d''Exceptions - 23'; 
    PKG_GR_DADES.P_ACCIO ('M',v_accio,'Revisio Logs Infraestructura d''Exceptions - 23','Revisio Logs Infraestructura d''Exceptions - 23',v_risc_creacio, v_risc_creacio+15,v_estat,v_responsable,v_risc_id,v_out);




    -- ***************************************
    -- ALTA AUDITORIES INTERNES
    PKG_GR_DADES.P_AUDITORIAINTERNA('A',null,'Audit Interna - Area Legal',v_out);
    PKG_GR_DADES.P_AUDITORIAINTERNA('A',null,'Audit Interna - Area I+D',v_out);
    PKG_GR_DADES.P_AUDITORIAINTERNA('A',null,'Audit Interna - Area SSI',v_out);

  
    

        
    -- ***************************************
    -- ASSIGNACIÓ DE PERSONES A LES AUDITORIES INTERNES (ELS EQUIPS)
    SELECT ID INTO v_auditinterna FROM GR_AUDITINTERNA WHERE DESCRIPCIO = 'Audit Interna - Area Legal' AND DBAIXA IS NULL;
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='171717P'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='181818W'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='202020O'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='212121I'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    
    
    SELECT ID INTO v_auditinterna FROM GR_AUDITINTERNA WHERE DESCRIPCIO = 'Audit Interna - Area I+D' AND DBAIXA IS NULL;
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='262626V'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='272727Z'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='282828S'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='292929C'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);

    
    SELECT ID INTO v_auditinterna FROM GR_AUDITINTERNA WHERE DESCRIPCIO = 'Audit Interna - Area SSI' AND DBAIXA IS NULL;
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='2222X'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='3333x'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='4444X'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);
    SELECT ID INTO v_persona FROM GR_PERSONA WHERE DOCUMENT='555X'; 
    PKG_GR_DADES.P_AUDITORIAINTERNA_PERSONA('A',v_auditinterna,v_persona,v_out);


 

 
    -- ***************************************
    -- ALTA REVISIONS (DE LES AUDITORIES INTERNES)
    SELECT ID INTO v_dept FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ADMINISTRACIO';
    SELECT ID INTO v_auditinterna FROM GR_AUDITINTERNA WHERE DESCRIPCIO = 'Audit Interna - Area Legal' AND DBAIXA IS NULL;
    v_revisioexterna := Null;
    -- el risc a revisar (encara que no existeix una relacio directa entre el risc i la revisió)
    SELECT * INTO reg_risc FROM GR_RISC WHERE DESCRIPCIO = 'Contractes Proveïdors - Reglament RGPD'; 
    
    -- es crea la revisio
    PKG_GR_DADES.P_REVISIO('A',null, TO_DATE('01/02/2020','DD/MM/YYYY'), TO_DATE('14/02/2020','DD/MM/YYYY'), 'Revisió contractes proveïdors - 20', 
                           TO_DATE('20/01/2020','DD/MM/YYYY'), v_dept, v_auditinterna, v_revisioexterna, v_out);
    

    
    -- DEFINICIÓ DE PERSONA IMPLICADA EN LA REVISIÓ INTERNA
    SELECT ID INTO v_rev_id FROM GR_REVISIO WHERE OBJECTIU = 'Revisió contractes proveïdors - 20';
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='343434Q'; 
    PKG_GR_DADES.P_REVISIO_PERSONA('A',v_rev_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='333333Q'; 
    PKG_GR_DADES.P_REVISIO_PERSONA('A',v_rev_id,v_pers_id,v_out);
    -- es revisa el risc indicat
    PKG_GR_DADES.P_RISC('M', reg_risc.id, reg_risc.descripcio, reg_risc.dcreacio, reg_risc.dfi, reg_risc.id_categoria, reg_risc.id_origen, 
                        reg_risc.id_criticitat, reg_risc.id_estat, reg_risc.id_revisioexterna, null, v_rev_id, reg_risc.id_control, reg_risc.id_personaresponsable, v_out);
    -- de la revisió apareix un altre risc.(mateixes caracteristiques que el risc origen)
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Auditoria Intena';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    PKG_GR_DADES.P_RISC('A', NULL, 'Revisió Contracte Proveïdor - Industrias Gonzalez SL', TO_DATE('01/02/2020','DD/MM/YYYY'), NULL, reg_risc.id_categoria, v_origen, 
                        reg_risc.id_criticitat, v_estat, null, null, v_rev_id, null, v_pers_id, v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    SELECT * INTO reg_risc FROM GR_RISC WHERE DESCRIPCIO = 'Revisió Contracte Proveïdor - Industrias Gonzalez SL'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Contracte Proveïdor - Industrias Gonzalez SL','Revisió Contracte Proveïdor - Industrias Gonzalez SL',reg_risc.dcreacio, NULL,v_estat,v_pers_id,reg_risc.id,v_out);

    PKG_GR_DADES.P_RISC('A', NULL, 'Revisió Contracte Proveïdor - Hospital Misericordia', TO_DATE('01/02/2020','DD/MM/YYYY'), NULL, reg_risc.id_categoria, v_origen, 
                        reg_risc.id_criticitat, v_estat, null, null, v_rev_id, null, v_pers_id, v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    SELECT * INTO reg_risc FROM GR_RISC WHERE DESCRIPCIO = 'Revisió Contracte Proveïdor - Hospital Misericordia'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Contracte Proveïdor - Hospital Misericordia','Revisió Contracte Proveïdor - Hospital Misericordia',reg_risc.dcreacio, NULL,v_estat,v_pers_id,reg_risc.id,v_out);

    


    -- ***************************************
    -- ALTA REVISIONS (DE LES AUDITORIES INTERNES)
    SELECT ID INTO v_dept FROM GR_DEPARTAMENT WHERE DESCRIPCIO='QUALITAT';
    SELECT ID INTO v_auditinterna FROM GR_AUDITINTERNA WHERE DESCRIPCIO = 'Audit Interna - Area SSI' AND DBAIXA IS NULL;
    v_revisioexterna := Null;
    -- el risc a revisar (encara que no existeix una relacio directa entre el risc i la revisió)
    SELECT * INTO reg_risc FROM GR_RISC WHERE DESCRIPCIO = 'Revisió Infraestructura - Ciberseguretat'; 
    
    -- es crea la revisio
    PKG_GR_DADES.P_REVISIO('A',null, TO_DATE('30/10/2020','DD/MM/YYYY'), TO_DATE('30/11/2020','DD/MM/YYYY'), 'Revisió - Documentació de la Infraestructura', 
                           TO_DATE('29/10/2020','DD/MM/YYYY'), v_dept, v_auditinterna, v_revisioexterna, v_out);
    

    
    -- DEFINICIÓ DE PERSONA IMPLICADA EN LA REVISIÓ INTERNA
    SELECT ID INTO v_rev_id FROM GR_REVISIO WHERE OBJECTIU = 'Revisió - Documentació de la Infraestructura';
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='2222X'; 
    PKG_GR_DADES.P_REVISIO_PERSONA('A',v_rev_id,v_pers_id,v_out);
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='3333x'; 
    PKG_GR_DADES.P_REVISIO_PERSONA('A',v_rev_id,v_pers_id,v_out);
    -- es revisa el risc indicat
    PKG_GR_DADES.P_RISC('M', reg_risc.id, reg_risc.descripcio, reg_risc.dcreacio, reg_risc.dfi, reg_risc.id_categoria, reg_risc.id_origen, 
                        reg_risc.id_criticitat, reg_risc.id_estat, reg_risc.id_revisioexterna, null, v_rev_id, reg_risc.id_control, reg_risc.id_personaresponsable, v_out);
    -- de la revisió apareix un altre risc.(mateixes caracteristiques que el risc origen)
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Auditoria Intena';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    PKG_GR_DADES.P_RISC('A', NULL, 'Documentació de la Infraestructura - Ciberseg. 20', TO_DATE('01/02/2020','DD/MM/YYYY'), NULL, reg_risc.id_categoria, v_origen, 
                        reg_risc.id_criticitat, v_estat, null, null, v_rev_id, null, v_pers_id, v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    SELECT * INTO reg_risc FROM GR_RISC WHERE DESCRIPCIO = 'Documentació de la Infraestructura - Ciberseg. 20'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,reg_risc.descripcio,reg_risc.descripcio,reg_risc.dcreacio, NULL,v_estat,v_pers_id,reg_risc.id,v_out);


     
     

    -- ***************************************
    -- ALTA REVISIONS (DE LES AUDITORIES INTERNES)
    SELECT ID INTO v_dept FROM GR_DEPARTAMENT WHERE DESCRIPCIO='ECOFIN';
    SELECT ID INTO v_auditinterna FROM GR_AUDITINTERNA WHERE DESCRIPCIO = 'Audit Interna - Area I+D' AND DBAIXA IS NULL;
    v_revisioexterna := Null;
    -- el risc a revisar (encara que no existeix una relacio directa entre el risc i la revisió)
    -- sense risc a revisar
    -- es crea la revisio
    PKG_GR_DADES.P_REVISIO('A',null, TO_DATE('30/10/2022','DD/MM/YYYY'), TO_DATE('30/11/2022','DD/MM/YYYY'), 'Revisió - Projectes ECOFIN', 
                           TO_DATE('20/10/2022','DD/MM/YYYY'), v_dept, v_auditinterna, v_revisioexterna, v_out);
    
    -- DEFINICIÓ DE PERSONA IMPLICADA EN LA REVISIÓ INTERNA
    SELECT ID INTO v_rev_id FROM GR_REVISIO WHERE OBJECTIU = 'Revisió - Projectes ECOFIN';
    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='343434Q'; 
    PKG_GR_DADES.P_REVISIO_PERSONA('A',v_rev_id,v_pers_id,v_out);
    -- es revisa el risc indicat
    -- no hi ha risc a revisar
    -- de la revisió apareix un altre risc.
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Auditoria Intena';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'FINANCES';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Baix';
    PKG_GR_DADES.P_RISC('A', NULL, 'Aplicación nova normativa legal economica', TO_DATE('01/12/2022','DD/MM/YYYY'), NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, null, null, v_rev_id, null, v_pers_id, v_out);

    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    SELECT * INTO reg_risc FROM GR_RISC WHERE DESCRIPCIO = 'Aplicación nova normativa legal economica'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,reg_risc.descripcio,reg_risc.descripcio,reg_risc.dcreacio, NULL,v_estat,v_pers_id,reg_risc.id,v_out);

     
    -- ***************************************
    -- DEFINICIÓ DE EMPRESES EXTERNES (AUDITORIA EXTERNA)
    PKG_GR_DADES.P_AUDITEXTERNA ('A',null,'Auditores SL',v_out);
    PKG_GR_DADES.P_AUDITEXTERNA ('A',null,'Audit 1 SL',v_out);
    PKG_GR_DADES.P_AUDITEXTERNA ('A',null,'Audit 2 SL',v_out);
    PKG_GR_DADES.P_AUDITEXTERNA ('A',null,'Audit 3 SL',v_out);
  

  
  

    -- ***************************************
    -- ALTA PERSONAL EXTERN
    SELECT ID INTO v_auditexterna FROM GR_AUDITEXTERNA WHERE NOMEMPRESA='Auditores SL'; 
    PKG_GR_DADES.P_PERSONAEXTERNA('A',null,'Phil','Foden',null,'Z111111',v_auditexterna,v_out);  
    PKG_GR_DADES.P_PERSONAEXTERNA('A',null,'Jack','Grealish',null,'Z22222',v_auditexterna,v_out);  
    PKG_GR_DADES.P_PERSONAEXTERNA('A',null,'Riyad','Mahrez',null,'Z333333',v_auditexterna,v_out);  
    
         
    SELECT ID INTO v_auditexterna FROM GR_AUDITEXTERNA WHERE NOMEMPRESA='Audit 1 SL'; 
    PKG_GR_DADES.P_PERSONAEXTERNA('A',null,'Erling','Haaland',null,'Z44444',v_auditexterna,v_out);  
    PKG_GR_DADES.P_PERSONAEXTERNA('A',null,'Kyle','Walker',null,'Z22222',v_auditexterna,v_out);  
         


    -- ***************************************
    -- ALTA REVISIOEXTERNA
    SELECT ID INTO v_auditexterna FROM GR_AUDITEXTERNA WHERE NOMEMPRESA='Auditores SL'; 
    PKG_GR_DADES.P_REVISIOEXTERNA('A',null,TO_DATE('01/01/2020','DD/MM/YYYY'),TO_DATE('01/07/2020','DD/MM/YYYY'),1300,v_auditexterna,v_out);  
    PKG_GR_DADES.P_REVISIOEXTERNA('A',null,TO_DATE('01/01/2021','DD/MM/YYYY'),TO_DATE('01/07/2021','DD/MM/YYYY'),1400,v_auditexterna,v_out); 
    PKG_GR_DADES.P_REVISIOEXTERNA('A',null,TO_DATE('01/01/2022','DD/MM/YYYY'),TO_DATE('01/07/2022','DD/MM/YYYY'),1600,v_auditexterna,v_out); 
    PKG_GR_DADES.P_REVISIOEXTERNA('A',null,TO_DATE('01/01/2023','DD/MM/YYYY'),TO_DATE('01/07/2023','DD/MM/YYYY'),1750,v_auditexterna,v_out); 






    -- ***************************************
    -- MODIFICAT REVISIO I ASSIGNACIÓ DE REVISIÓ PER REVISIO EXTERNA 

    SELECT ID INTO v_revisioexterna FROM GR_REVISIOEXTERNA WHERE DINICI = TO_DATE('01/01/2020','DD/MM/YYYY');
    SELECT * INTO reg_revisio FROM GR_REVISIO WHERE OBJECTIU = 'Revisió contractes proveïdors - 20';
    -- es fa revisió externa d'aquesta revisió
    PKG_GR_DADES.P_REVISIO('M',reg_revisio.ID, reg_revisio.DINICI, reg_revisio.DFI, reg_revisio.OBJECTIU, 
                           reg_revisio.DAVIS, reg_revisio.ID_DEPARTAMENTIMPLICAT, reg_revisio.ID_AUDITINTERNA, v_revisioexterna, v_out);
    -- de la revisió externa apareix un altre risc.
    SELECT ID INTO v_origen FROM GR_ORIGEN WHERE DESCRIPCIO = 'Auditoria Externa';
    SELECT ID INTO v_estat FROM GR_ESTAT WHERE DESCRIPCIO = 'Obert';
    SELECT ID INTO v_categoria FROM GR_CATEGORIA WHERE DESCRIPCIO = 'RGPD';
    SELECT ID INTO v_criticitat FROM GR_CRITICITAT WHERE DESCRIPCIO = 'Moderat';
    SELECT ID INTO v_pers_id FROM GR_PERSONAEXTERNA WHERE DOCUMENT = 'Z44444';
    PKG_GR_DADES.P_RISC('A', NULL, 'Revisió contractes proveïdors - externa - 20', TO_DATE('01/02/2020','DD/MM/YYYY'), NULL, v_categoria, v_origen, 
                        v_criticitat, v_estat, v_revisioexterna, null, null, null, v_pers_id, v_out);

    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='343434Q'; 
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    SELECT * INTO reg_risc FROM GR_RISC WHERE DESCRIPCIO = 'Revisió contractes proveïdors - externa - 20'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Contracte Proveïdor - Carglasses SA','Revisió Contracte Proveïdor - Carglasses SA',reg_risc.dcreacio, NULL,v_estat,v_pers_id,reg_risc.id,v_out);

    SELECT ID INTO v_pers_id FROM GR_PERSONA WHERE DOCUMENT='343434Q'; 
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='En Curs'; 
    SELECT * INTO reg_risc FROM GR_RISC WHERE DESCRIPCIO = 'Revisió contractes proveïdors - externa - 20'; 
    PKG_GR_DADES.P_ACCIO ('A',NULL,'Revisió Contracte Proveïdor - AutoConchita SL','Revisió Contracte Proveïdor - AutoConchita SL',reg_risc.dcreacio + 4, NULL,v_estat,v_pers_id,reg_risc.id,v_out);
    SELECT ID INTO v_estat FROM GR_ESTATMITIGACIO WHERE DESCRIPCIO ='Implementada i Mitigada'; 
    SELECT * INTO reg_accio FROM GR_ACCIO WHERE DESCRIPCIO ='Revisió Contracte Proveïdor - AutoConchita SL'; 
    PKG_GR_DADES.P_ACCIO ('M',reg_accio.id,reg_accio.descripcio,reg_accio.nom,reg_risc.dcreacio, reg_risc.dcreacio + 60, v_estat,v_pers_id,reg_risc.id,v_out);


    -- ***************************************
    -- CREA MOSTREIG
    PKG_GR_DADES.P_MOSTREIG ('A',TO_DATE('05/04/2020 14:05','DD/MM/YYYY HH24:MI'),v_out);
    PKG_GR_DADES.P_MOSTREIG ('A',TO_DATE('05/12/2020 12:00','DD/MM/YYYY HH24:MI'),v_out);
    PKG_GR_DADES.P_MOSTREIG ('A',TO_DATE('05/04/2021 12:00','DD/MM/YYYY HH24:MI'),v_out);
    PKG_GR_DADES.P_MOSTREIG ('A',TO_DATE('05/12/2021 12:00','DD/MM/YYYY HH24:MI'),v_out);
    PKG_GR_DADES.P_MOSTREIG ('A',TO_DATE('15/04/2022 12:00','DD/MM/YYYY HH24:MI'),v_out);
    PKG_GR_DADES.P_MOSTREIG ('A',TO_DATE('01/11/2022 12:00','DD/MM/YYYY HH24:MI'),v_out);
    PKG_GR_DADES.P_MOSTREIG ('A',TO_DATE('13/04/2023 12:00','DD/MM/YYYY HH24:MI'),v_out);



END P_CREA_JOC_PROVES;
