CONNECT SYS/natxot AS SYSDBA;

BEGIN
  SYS.DBMS_SCHEDULER.CREATE_JOB
    (
       job_name        => 'JOB_DWH_ETL'
      ,job_type        => 'PLSQL_BLOCK'
      ,start_date      => TO_TIMESTAMP('27/05/2023 17:08', 'DD/MM/YYYY HH24:MI:SS')
      ,repeat_interval => 'freq=hourly; byminute=0; bysecond=0;'
      ,end_date        => NULL
      ,enabled         => TRUE
      --,auto_drop       => TRUE
      ,job_action      => '
                            BEGIN
                                urisc_dwh.pkg_dwh_etl.p_etl;
                            END;
                          '
      ,comments        => 'Job que inicia el traspas de dades explotacio->dwh.'
    );
END;
/
